%define anolis_release 1
Summary: X Composite Extension library
Name: libXcomposite
Version: 0.4.6
Release: %{anolis_release}%{?dist}
License: MIT
URL: http://www.x.org

Source0: https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.xz

BuildRequires: make
BuildRequires: xorg-x11-util-macros
BuildRequires: pkgconfig(compositeproto) >= 0.4
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xproto) >= 7.0.22

%description
X Composite Extension library

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
X.Org X11 libXcomposite development package

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

%files
%license COPYING
%{_libdir}/libXcomposite.so.1
%{_libdir}/libXcomposite.so.1.0.0

%files doc
%doc AUTHORS README.md ChangeLog

%files devel
%{_includedir}/X11/extensions/Xcomposite.h
%{_libdir}/libXcomposite.so
%{_libdir}/pkgconfig/xcomposite.pc
%{_mandir}/man3/X?omposite*.3*

%changelog
* Mon Dec 12 2022 Funda Wang <fundawang@yeah.net> - 0.4.6-1
- New version 0.4.6

* Fri Sep 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.4.5-2
- add doc package

* Thu Apr 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.4.5-1
- Init from upstream version  0.4.5

